Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# FSMInspector Class Reference

List of all members.

## Public Member Functions
def | __init__
def | addState
def | appInit
def | canvas
def | computeEndpoints
def | computePoint
def | connectStates
def | createInterface
def | createStateInspectors
def | drawConnections
def | enteredState
def | exitedState
def | findAngle
def | getStateInspector
def | mouse2Down
def | mouse2Motion
def | onDestroy
def | popupGridDialog
def | printLayout
def | scrolledCanvas
def | setFontSize
def | setGridSize
def | setMarkerSize
def | toggleBalloon
def | toggleGridSnap
## Public Attributes
| fsm
| name
| stateInspectorDict
| states
## Static Public Attributes
string | appname = 'ClassicFSM Inspector'
int | frameHeight = 450
int | frameWidth = 400
int | usecommandarea = 0
int | usestatusarea = 0

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | fsm,
|  |  | kw
| ) |  |

## Member Function Documentation

def addState | ( |  | self,
|  |  | state
| ) |  |

def appInit | ( |  | self | ) |

def canvas | ( |  | self | ) |

def computeEndpoints | ( |  | self,
|  |  | fromState,
|  |  | toState
| ) |  |

def computePoint | ( |  | self,
|  |  | radius,
|  |  | angle
| ) |  |

def connectStates | ( |  | self,
|  |  | fromState,
|  |  | toState
| ) |  |

def createInterface | ( |  | self | ) |

def createStateInspectors | ( |  | self | ) |

def drawConnections | ( |  | self,
|  |  | event = `None`
| ) |  |

def enteredState | ( |  | self,
|  |  | stateName
| ) |  |

def exitedState | ( |  | self,
|  |  | stateName
| ) |  |

def findAngle | ( |  | self,
|  |  | fromPoint,
|  |  | toPoint
| ) |  |

def getStateInspector | ( |  | self,
|  |  | name
| ) |  |

def mouse2Down | ( |  | self,
|  |  | event
| ) |  |

def mouse2Motion | ( |  | self,
|  |  | event
| ) |  |

def onDestroy | ( |  | self,
|  |  | event
| ) |  |

    Called on ClassicFSM Panel shutdown

def popupGridDialog | ( |  | self | ) |

def printLayout | ( |  | self | ) |

def scrolledCanvas | ( |  | self | ) |

def setFontSize | ( |  | self,
|  |  | size
| ) |  |

def setGridSize | ( |  | self,
|  |  | size
| ) |  |

def setMarkerSize | ( |  | self,
|  |  | size
| ) |  |

def toggleBalloon | ( |  | self | ) |

def toggleGridSnap | ( |  | self | ) |

## Member Data Documentation

string appname = 'ClassicFSM Inspector'`[static]`

int frameHeight = 450`[static]`

int frameWidth = 400`[static]`

fsm

name

stateInspectorDict

states

int usecommandarea = 0`[static]`

int usestatusarea = 0`[static]`

All Classes Namespaces Functions Variables Enumerations Enumerator Properties